import { CSSProperties } from "react";
import {Box} from "@mui/material";


interface Props {
    style?: CSSProperties;
}

export default function CheckIcon({ style }: Props) {

    return (
        <Box >
            <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                <g filter="url(#filter0_dddddd_363_838)">
                    <rect x="309" y="209" width="36" height="36" rx="18" fill="white"/>
                </g>
                <path d="M320 224L327.031 231.813L334.062 224" stroke="#7E2AEA" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                {/*<defs>*/}
                {/*    <filter id="filter0_dddddd_363_838" x="0" y="0" width="654" height="654" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">*/}
                {/*        <feFlood flood-opacity="0" result="BackgroundImageFix"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="2.76726"/>*/}
                {/*        <feGaussianBlur stdDeviation="4.27541"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.0674749 0"/>*/}
                {/*        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_363_838"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="6.6501"/>*/}
                {/*        <feGaussianBlur stdDeviation="10.2744"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.0969343 0"/>*/}
                {/*        <feBlend mode="normal" in2="effect1_dropShadow_363_838" result="effect2_dropShadow_363_838"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="12.5216"/>*/}
                {/*        <feGaussianBlur stdDeviation="19.3458"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.12 0"/>*/}
                {/*        <feBlend mode="normal" in2="effect2_dropShadow_363_838" result="effect3_dropShadow_363_838"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="22.3363"/>*/}
                {/*        <feGaussianBlur stdDeviation="34.5096"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.143066 0"/>*/}
                {/*        <feBlend mode="normal" in2="effect3_dropShadow_363_838" result="effect4_dropShadow_363_838"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="41.7776"/>*/}
                {/*        <feGaussianBlur stdDeviation="64.5464"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.172525 0"/>*/}
                {/*        <feBlend mode="normal" in2="effect4_dropShadow_363_838" result="effect5_dropShadow_363_838"/>*/}
                {/*        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>*/}
                {/*        <feOffset dy="100"/>*/}
                {/*        <feGaussianBlur stdDeviation="154.5"/>*/}
                {/*        <feColorMatrix type="matrix" values="0 0 0 0 0.823529 0 0 0 0 0.815686 0 0 0 0 0.882353 0 0 0 0.24 0"/>*/}
                {/*        <feBlend mode="normal" in2="effect5_dropShadow_363_838" result="effect6_dropShadow_363_838"/>*/}
                {/*        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow_363_838" result="shape"/>*/}
                {/*    </filter>*/}
                {/*</defs>*/}
            </svg>
        </Box>


);
}
